from pydantic import BaseModel, EmailStr
from src.database.role import Role


class UserLogin(BaseModel):
    username: str
    password: str

class User(UserLogin):
    username: str
    email: EmailStr
    role: Role
    out_vpn_access: bool
    docker_access: bool
    git_access: bool
    password: str